- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/list#body.ListIntegrationActionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/list#body.aspect_1)

**Full name**: projects.locations.instances.integrations.actions.list

Lists all IntegrationActions for a specific integration. Use this method to browse the actions (e.g., reset password, block IP) offered by an integration. Supports filtering by `display name` and expanding related fields.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/actions`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list IntegrationActions for. Format: projects/{project}/locations/{location}/instances/{instance}/soar/integrations/{integration}/actions |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of IntegrationActions to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `actions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter that can be used to filter the list of IntegrationActions. |
| `orderBy` | `string` Optional. A field that can be used to sort the list of IntegrationActions. |
| `expand` | `string` Optional. Specifies which fields to expand for the list of IntegrationActions. |

### Request body

The request body must be empty.

### Response body

Response message for actions.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "actions": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions#IntegrationAction`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `actions[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions#IntegrationAction`)`` The list of IntegrationActions. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Output only. Total number of IntegrationActions. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.integrationActions.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).